Package org.apache.commons.lang3.function

# Interface FailableBiConsumer<T,U,E extends Throwable>

Type Parameters:
  `T` - Consumed type 1.
  `U` - Consumed type 2.
  `E` - The kind of thrown exception or error.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface FailableBiConsumer<T,U,E extends Throwable>
A functional interface like `BiConsumer` that declares a `Throwable`.

Since:
  3.11

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FailableBiConsumer`
  `NOP`
  NOP singleton

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(T t, U u)`
  Accepts the given arguments.
  `default FailableBiConsumer<T,U,E>`
  `andThen(FailableBiConsumer<? super T,? super U,E> after)`
  Returns a composed `FailableBiConsumer` like `BiConsumer.andThen(BiConsumer)`.
  `static <T, U, E extends Throwable>
  FailableBiConsumer<T,U,E>`
  `nop()`
  Returns The NOP singleton.

- ## Field Details

  - ### NOP

    static final FailableBiConsumer NOP
    NOP singleton

- ## Method Details

  - ### nop

    static <T, U, E extends Throwable> FailableBiConsumer<T,U,E> nop()
    Returns The NOP singleton.
    Type Parameters:
      `T` - Consumed type 1.
      `U` - Consumed type 2.
      `E` - The kind of thrown exception or error.
    Returns:
      The NOP singleton.

  - ### accept

    void accept(T t, U u) throws E
    Accepts the given arguments.
    Parameters:
      `t` - the first parameter for the consumable to accept
      `u` - the second parameter for the consumable to accept
    Throws:
      `E` - Thrown when the consumer fails.

  - ### andThen

    default FailableBiConsumer<T,U,E> andThen(FailableBiConsumer<? super T,? super U,E> after)
    Returns a composed `FailableBiConsumer` like `BiConsumer.andThen(BiConsumer)`.
    Parameters:
      `after` - the operation to perform after this one.
    Returns:
      a composed `FailableBiConsumer` like `BiConsumer.andThen(BiConsumer)`.
    Throws:
      `NullPointerException` - when `after` is null.